/***************************************************************************

  gstock.cpp

  (c) 2004-2005 - Daniel Campos Fernández <danielcampos@netcourrier.com>
  
  Gtkmae "GTK+ made easy" classes
  
  Realizado para la Junta de Extremadura. 
  Consejería de Educación Ciencia y Tecnología. 
  Proyecto gnuLinEx
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 1, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

***************************************************************************/
#include "widgets.h"
#include <gtk/gtk.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <errno.h>

static char * stock_gambas_xpm[] = {
"16 16 133 2",
"  	c None",
". 	c #C4C4C4",
"+ 	c #B2B2B2",
"@ 	c #A199AC",
"# 	c #96959F",
"$ 	c #898793",
"% 	c #636263",
"& 	c #8C8C8C",
"* 	c #A8A8A8",
"= 	c #505050",
"- 	c #A4A4A4",
"; 	c #636363",
"> 	c #8D8D8D",
", 	c #25597B",
"' 	c #19395A",
") 	c #2A769E",
"! 	c #286A8A",
"~ 	c #7F7F7F",
"{ 	c #E8E8E8",
"] 	c #EFEFEF",
"^ 	c #CBCBCB",
"/ 	c #545454",
"( 	c #F2F2F2",
"_ 	c #B0B0B0",
": 	c #7D7D7D",
"< 	c #355C7A",
"[ 	c #21577B",
"} 	c #3398C2",
"| 	c #3398C3",
"1 	c #2A6C87",
"2 	c #AFAFAF",
"3 	c #1B1B1B",
"4 	c #434343",
"5 	c #F5F5F5",
"6 	c #3E3E3F",
"7 	c #0F0F0F",
"8 	c #9A9A9A",
"9 	c #5D5D5D",
"0 	c #A1B5C3",
"a 	c #1C4769",
"b 	c #3084A8",
"c 	c #707172",
"d 	c #959595",
"e 	c #ACACAC",
"f 	c #BCBCBC",
"g 	c #101D2B",
"h 	c #1C1B20",
"i 	c #BEBEBE",
"j 	c #585858",
"k 	c #506178",
"l 	c #3190BA",
"m 	c #245469",
"n 	c #6E6E6E",
"o 	c #878787",
"p 	c #29404B",
"q 	c #3291BA",
"r 	c #204060",
"s 	c #5D5B61",
"t 	c #AAAAAA",
"u 	c #294867",
"v 	c #5AABCE",
"w 	c #42A0C7",
"x 	c #3188AE",
"y 	c #2F80A2",
"z 	c #3397C2",
"A 	c #3294BE",
"B 	c #233B58",
"C 	c #1A3F60",
"D 	c #3A9CC5",
"E 	c #E3F0F6",
"F 	c #3C9CC6",
"G 	c #308DB7",
"H 	c #344159",
"I 	c #274260",
"J 	c #6DB5D4",
"K 	c #FEFEFF",
"L 	c #4AA3CA",
"M 	c #2C7EA7",
"N 	c #57596C",
"O 	c #4C5166",
"P 	c #287198",
"Q 	c #79BBD8",
"R 	c #FFFFFF",
"S 	c #8AC4DC",
"T 	c #246388",
"U 	c #888793",
"V 	c #0F1734",
"W 	c #2C80A9",
"X 	c #43A0C8",
"Y 	c #EBF5F9",
"Z 	c #F0F7FA",
"` 	c #50A6CC",
" .	c #225C81",
"..	c #2D2053",
"+.	c #110937",
"@.	c #1A395D",
"#.	c #304F6C",
"$.	c #6A7180",
"%.	c #415368",
"&.	c #183C5D",
"*.	c #308BB5",
"=.	c #17083B",
"-.	c #14033E",
";.	c #13194A",
">.	c #134B6A",
",.	c #136D7E",
"'.	c #136C7C",
").	c #105265",
"!.	c #0E2E46",
"~.	c #1A4263",
"{.	c #2F89B2",
"].	c #379AC4",
"^.	c #141047",
"/.	c #1E2945",
"(.	c #130632",
"_.	c #14073F",
":.	c #140E46",
"<.	c #14395F",
"[.	c #13657A",
"}.	c #137080",
"|.	c #125E70",
"1.	c #0F2C44",
"2.	c #2F688B",
"3.	c #5B8694",
"4.	c #12253E",
"5.	c #122446",
"6.	c #14174B",
"7.	c #14335C",
"8.	c #13687B",
"9.	c #5B9BA6",
"0.	c #ABB1BA",
"a.	c #8EA2AC",
"b.	c #8E92AA",
"              . +               ",
"      @ # $ % & * = - ; >       ",
"    , ' ) ! ~ { ] ^ / ( _ :     ",
"  < [ } | 1 2 3 4 5 6 7 8 9     ",
"0 a | | | b c d e f g h i j     ",
"k l | | | | m n o p q r s t     ",
"u | | | v w | x y z | A B       ",
"C | | D E F | | | | | | G H     ",
"I | | J K L | | | | | | | M N   ",
"O P | Q R S | | | | | | | | T U ",
"  V W X Y Z ` | | | | | | | |  .",
"  ..+.@.#.$.%.&. .*.| | | |  .  ",
"    =.-.;.>.,.'.).!.~.{.| ].^.  ",
"      /.(._.:.<.[.}.|.1.2.^.    ",
"        3.4.5.6.^.7.8.9.^.      ",
"            0.a.b.^.7.          "};

static char * stock_linux_xpm[] = {
"16 16 109 2",
"  	c None",
". 	c #818181",
"+ 	c #656565",
"@ 	c #363636",
"# 	c #515151",
"$ 	c #505050",
"% 	c #181818",
"& 	c #050505",
"* 	c #58585D",
"= 	c #2F2F33",
"- 	c #84868A",
"; 	c #181819",
"> 	c #979171",
", 	c #B8B082",
"' 	c #A69A81",
") 	c #312E2B",
"! 	c #000000",
"~ 	c #D7C428",
"{ 	c #FFE948",
"] 	c #F1AF2E",
"^ 	c #37260C",
"/ 	c #0B0D11",
"( 	c #DFCC90",
"_ 	c #FFCC57",
": 	c #FFE2B5",
"< 	c #757576",
"[ 	c #727373",
"} 	c #FFFFFF",
"| 	c #D1D1D1",
"1 	c #090909",
"2 	c #0C0C0C",
"3 	c #D3D3D3",
"4 	c #FDFEFE",
"5 	c #FAFAFA",
"6 	c #FDFDFD",
"7 	c #636363",
"8 	c #F9F9F9",
"9 	c #F4F4F4",
"0 	c #F8F8F8",
"a 	c #BFBFBF",
"b 	c #121212",
"c 	c #060606",
"d 	c #000309",
"e 	c #A9AAAC",
"f 	c #F5F5F5",
"g 	c #EEEEEE",
"h 	c #EBEBEB",
"i 	c #D5D7DA",
"j 	c #272727",
"k 	c #101010",
"l 	c #5D4418",
"m 	c #C4BDB2",
"n 	c #EFEFEF",
"o 	c #E8E8E9",
"p 	c #E3E3E3",
"q 	c #CABDA9",
"r 	c #393838",
"s 	c #242425",
"t 	c #AD7B28",
"u 	c #FFDF97",
"v 	c #C1A36A",
"w 	c #B5B5B6",
"x 	c #F0F1F2",
"y 	c #E9E9E9",
"z 	c #E1E2E4",
"A 	c #DBD5CB",
"B 	c #DFB15E",
"C 	c #484234",
"D 	c #786747",
"E 	c #B88A23",
"F 	c #FFE97F",
"G 	c #FFE489",
"H 	c #F8D469",
"I 	c #79653B",
"J 	c #BABCC5",
"K 	c #EAEBEA",
"L 	c #DEDFE1",
"M 	c #CBC6BC",
"N 	c #EEC76D",
"O 	c #FCDF93",
"P 	c #FFE997",
"Q 	c #D0AF55",
"R 	c #BF9D0A",
"S 	c #FFEE2C",
"T 	c #FFDD25",
"U 	c #FFDA19",
"V 	c #EEC81D",
"W 	c #D1C6A2",
"X 	c #D2D3D9",
"Y 	c #B1B2B7",
"Z 	c #857C64",
"` 	c #F2CB2B",
" .	c #FFE141",
"..	c #FFE42A",
"+.	c #F4CC2F",
"@.	c #C0A300",
"#.	c #ECCC00",
"$.	c #FFED00",
"%.	c #FFF600",
"&.	c #907F25",
"*.	c #373947",
"=.	c #303239",
"-.	c #5D522A",
";.	c #FDEB02",
">.	c #FFF400",
",.	c #B49500",
"'.	c #615303",
").	c #6E6101",
"!.	c #6D5E03",
"              . +               ",
"            @ # $ %             ",
"          & * = - ;             ",
"            > , ' ) !           ",
"            ~ { ] ^ !           ",
"          / ( _ : < !           ",
"          [ } } } | 1 !         ",
"        2 3 } 4 5 6 7 !         ",
"        7 } } 8 9 0 a b c       ",
"      d e } 8 f g h i j k       ",
"      l m } f n o p q r s       ",
"    t u v w x y z A B C D       ",
"  E F G H I J K L M N O P Q     ",
"  R S T U V W X Y Z `  ...+.    ",
"    @.#.$.%.&.*.=.-.;.>.,.      ",
"        '.).        !.!.        "};


#ifdef GTK_2_4
static char * stock_connect_xpm[] = {
"24 24 58 1",
" 	c None",
".	c #000000",
"+	c #989389",
"@	c #807D74",
"#	c #C6C2BA",
"$	c #34332D",
"%	c #B7B3AA",
"&	c #C4C2BD",
"*	c #EAE8E3",
"=	c #9C978D",
"-	c #BCB9B2",
";	c #363433",
">	c #E2E1DD",
",	c #F0EFEC",
"'	c #AAA7A0",
")	c #F0EEEB",
"!	c #B2B0AB",
"~	c #F9F9F8",
"{	c #C5C3BD",
"]	c #0F0F0D",
"^	c #F2F0ED",
"/	c #EBEAE6",
"(	c #8A857B",
"_	c #ECEBE8",
":	c #EEECEA",
"<	c #9F9C93",
"[	c #F3F2F0",
"}	c #E8E7E4",
"|	c #E3E1DD",
"1	c #78756B",
"2	c #BEBBB5",
"3	c #B3B1AA",
"4	c #7D786E",
"5	c #E1DFDB",
"6	c #D1D0CC",
"7	c #938E84",
"8	c #C8C5BF",
"9	c #A7A298",
"0	c #010101",
"a	c #8C8981",
"b	c #A6A29B",
"c	c #726D63",
"d	c #CECAC3",
"e	c #A7A49E",
"f	c #7E7A70",
"g	c #A09D94",
"h	c #817D73",
"i	c #6C685E",
"j	c #3C3933",
"k	c #8B877E",
"l	c #706C62",
"m	c #B1ADA4",
"n	c #97938A",
"o	c #625E54",
"p	c #6A655B",
"q	c #37342D",
"r	c #646056",
"s	c #8B877D",
"                        ",
"                        ",
"                        ",
"                        ",
"                        ",
"                        ",
"          .. ..         ",
"        ..+@.#@..       ",
"       $%&*@.*@=-;      ",
"      .>,'*@.)@!~{]     ",
"......@>,'*@.)@!~{@.....",
"*******^/(_@.:@<[}|*****",
"@@@@@1123451.6@789@@@@@@",
".....01abcd1.e@fghi.....",
"      ]abcd1.e@fgh]     ",
"      ]jklmi.n@opq.     ",
"        ]]+r.s@..       ",
"          ]] ].         ",
"                        ",
"                        ",
"                        ",
"                        ",
"                        ",
"                        "};


static char * stock_directory_xpm[] = {
"24 24 173 2",
"  	c None",
". 	c #000000",
"+ 	c #010100",
"@ 	c #B5B8A5",
"# 	c #E4E7D2",
"$ 	c #878A76",
"% 	c #33342B",
"& 	c #0B0B0B",
"* 	c #E2E5CF",
"= 	c #CFD4AF",
"- 	c #CED3AE",
"; 	c #B2B696",
"> 	c #2D2D25",
", 	c #23241D",
"' 	c #9D9F90",
") 	c #C6CAA6",
"! 	c #C4C9A5",
"~ 	c #C6CBA7",
"{ 	c #C7CCA8",
"] 	c #C9CEA9",
"^ 	c #555847",
"/ 	c #1A1B15",
"( 	c #20201A",
"_ 	c #D4D6C2",
": 	c #BEC2A0",
"< 	c #B3B896",
"[ 	c #B0B595",
"} 	c #B3B797",
"| 	c #B6BB99",
"1 	c #BBC09E",
"2 	c #BCC19F",
"3 	c #81856C",
"4 	c #3E3F32",
"5 	c #010101",
"6 	c #DADDC8",
"7 	c #AFB494",
"8 	c #AAAF8F",
"9 	c #A3A789",
"0 	c #A6AA8B",
"a 	c #A9AD8E",
"b 	c #A7AB8D",
"c 	c #A4A88A",
"d 	c #A1A588",
"e 	c #AAAD96",
"f 	c #B3B5A5",
"g 	c #B8BBAA",
"h 	c #BABCAB",
"i 	c #C1C3B2",
"j 	c #C7CAB7",
"k 	c #CACDBB",
"l 	c #BABDA8",
"m 	c #0C0C09",
"n 	c #DDDFCB",
"o 	c #969B7E",
"p 	c #9DA286",
"q 	c #95987C",
"r 	c #96997E",
"s 	c #9A9D81",
"t 	c #999D80",
"u 	c #9DA184",
"v 	c #A5AA8B",
"w 	c #A4A98A",
"x 	c #A3A889",
"y 	c #A2A588",
"z 	c #A2A587",
"A 	c #9FA386",
"B 	c #9B9E83",
"C 	c #898D74",
"D 	c #D8DBC9",
"E 	c #84866E",
"F 	c #7D8169",
"G 	c #151612",
"H 	c #D7DAC9",
"I 	c #797D67",
"J 	c #3D3F34",
"K 	c #E0E0D9",
"L 	c #EBEDDD",
"M 	c #E8EBD9",
"N 	c #E7EAD8",
"O 	c #E3E6D4",
"P 	c #DEE1D0",
"Q 	c #DADCCC",
"R 	c #DADCD1",
"S 	c #2B2C28",
"T 	c #D7DAC6",
"U 	c #6F735E",
"V 	c #0D0D0D",
"W 	c #F4F4EC",
"X 	c #CACFAB",
"Y 	c #C6CBA8",
"Z 	c #C2C6A4",
"` 	c #ABB091",
" .	c #23251E",
"..	c #494B3D",
"+.	c #DCDCD4",
"@.	c #EAECDD",
"#.	c #CDD2AD",
"$.	c #CCD1AC",
"%.	c #CACFAA",
"&.	c #BABF9D",
"*.	c #B5B999",
"=.	c #81836C",
"-.	c #070806",
";.	c #D5D8C4",
">.	c #161616",
",.	c #F2F2EA",
"'.	c #C9CEAA",
").	c #C8CDA9",
"!.	c #C4C9A6",
"~.	c #C1C5A3",
"{.	c #BCC09F",
"].	c #B6BB9A",
"^.	c #B0B494",
"/.	c #9DA185",
"(.	c #535445",
"_.	c #B6B8A7",
":.	c #747470",
"<.	c #ECECE2",
"[.	c #C3C8A5",
"}.	c #C2C7A4",
"|.	c #C0C5A2",
"1.	c #BFC4A1",
"2.	c #BDC2A0",
"3.	c #B9BD9C",
"4.	c #B9BE9D",
"5.	c #A9AD8F",
"6.	c #A3A78A",
"7.	c #80836D",
"8.	c #020201",
"9.	c #A6A998",
"0.	c #B8BC9B",
"a.	c #AFB394",
"b.	c #ACB091",
"c.	c #A8AC8E",
"d.	c #A6AA8C",
"e.	c #9FA286",
"f.	c #9B9F83",
"g.	c #9A9D82",
"h.	c #8A8D75",
"i.	c #4F5243",
"j.	c #070705",
"k.	c #9E9F91",
"l.	c #E5E6DA",
"m.	c #ADB192",
"n.	c #A5A98C",
"o.	c #9FA387",
"p.	c #999D81",
"q.	c #95987E",
"r.	c #92957B",
"s.	c #8C8F76",
"t.	c #8A8D74",
"u.	c #71735F",
"v.	c #080908",
"w.	c #E3E5D9",
"x.	c #C0C3AF",
"y.	c #94987C",
"z.	c #8F9379",
"A.	c #8B8F75",
"B.	c #8A8E74",
"C.	c #888C73",
"D.	c #858970",
"E.	c #868971",
"F.	c #82866E",
"G.	c #80836C",
"H.	c #7D8069",
"I.	c #797C66",
"J.	c #727560",
"K.	c #717460",
"L.	c #71745F",
"M.	c #6A6D59",
"N.	c #434538",
"O.	c #080907",
"P.	c #050504",
"                                                ",
"                                                ",
"                                                ",
"    . . . . . . .                               ",
"  + @ # # # # # $ %                             ",
"  & * = = = - - ; >                             ",
", ' * ) ! ~ { ] ] ^ /                           ",
"( _ : < [ } | 1 2 3 4 5 . . . . . . .           ",
", 6 7 8 9 0 8 a b c d e f g h i j k l .         ",
"m n o p q r s t r u v w x y 9 z A B C .         ",
". D E F G . . . . . . . . . . . . . . . 5 5     ",
". H I J K L M M M M M M M M M M M N O P Q R S   ",
". T U V W = = = = = = = = = - - - X Y Z 1 `  .  ",
". T ..+.@.#.- - #.- #.#.#.#.#.$.%.Y Z &.*.=.-.  ",
". ;.>.,.X %.X %.'.%.'.{ ).).Y !.~.{.].^./.(.m   ",
". _.:.<.[.}.}.Z |.Z 1.2.|.2.3.4.} [ 5.6.7.8.    ",
". 9.+.0.0.*.} } [ [ a.a.a.b.c.d.e.f.g.h.i.j.    ",
". k.l.m.5.d.n.6.6.d o.e.f.p.q.r.s.t.t.u.v.      ",
". w.x.y.z.A.B.C.C.D.E.F.G.H.I.J.K.L.M.N.O.      ",
"  . . . . . . . . . . . . . . . . . . P.        ",
"                                                ",
"                                                ",
"                                                ",
"                                                "};

static char * stock_disconnect_xpm[] = {
"24 24 42 1",
" 	c None",
".	c #000000",
"+	c #989389",
"@	c #807D74",
"#	c #C6C2BA",
"$	c #43423C",
"%	c #B7B3AA",
"&	c #C4C2BD",
"*	c #EAE8E3",
"=	c #E2E1DD",
"-	c #F0EFEC",
";	c #AAA7A0",
">	c #C5D2C8",
",	c #E9EEEA",
"'	c #F0EEEB",
")	c #F2F0ED",
"!	c #EBEAE6",
"~	c #8A857B",
"{	c #ECEBE8",
"]	c #EEECEA",
"^	c #78756B",
"/	c #BEBBB5",
"(	c #B3B1AA",
"_	c #7D786E",
":	c #E1DFDB",
"<	c #D1D0CC",
"[	c #010101",
"}	c #8C8981",
"|	c #A6A29B",
"1	c #726D63",
"2	c #CECAC3",
"3	c #A7A49E",
"4	c #0F0F0D",
"5	c #F0F3F1",
"6	c #272622",
"7	c #8B877E",
"8	c #706C62",
"9	c #B1ADA4",
"0	c #6C685E",
"a	c #97938A",
"b	c #646056",
"c	c #8B877D",
"                        ",
"                        ",
"                        ",
"                        ",
"                        ",
"                        ",
"         ..           ..",
"       ..+@.         .#@",
"      $%&*@....      .*@",
"     .=-;*@.>>,.     .'@",
".....@=-;*@....      .'@",
"******)!~{@.         .]@",
"@@@@^^/(_:^.         .<@",
"....[^}|12^....      .3@",
"     4}|12^.>>5.     .3@",
"      67890....      .a@",
"       44+b.         .c@",
"         44           4.",
"                        ",
"                        ",
"                        ",
"                        ",
"                        ",
"                        "};

static char * stock_edit_xpm[] = {
"24 24 189 2",
"  	c None",
". 	c #000000",
"+ 	c #0E0E0E",
"@ 	c #282828",
"# 	c #616161",
"$ 	c #D3D3D3",
"% 	c #F6F6F6",
"& 	c #FFFFFF",
"* 	c #F9F9F9",
"= 	c #F9F9F8",
"- 	c #E7E7E7",
"; 	c #E4E4E4",
"> 	c #CDCDCD",
", 	c #1F1F1F",
"' 	c #EFEFEE",
") 	c #AFAFAE",
"! 	c #E9E9E9",
"~ 	c #B3B3B3",
"{ 	c #383838",
"] 	c #C2C2C2",
"^ 	c #C1C1C1",
"/ 	c #C0C0C0",
"( 	c #BDBDBC",
"_ 	c #B5B5B5",
": 	c #A4A4A3",
"< 	c #F0F0F0",
"[ 	c #F4F4F4",
"} 	c #ABABAB",
"| 	c #050505",
"1 	c #FEFEFE",
"2 	c #FDFDFD",
"3 	c #FCFCFB",
"4 	c #FBFBFB",
"5 	c #F2F2F2",
"6 	c #9E9E9E",
"7 	c #BFBFBE",
"8 	c #BEBEBE",
"9 	c #BEBEBD",
"0 	c #B9B9B9",
"a 	c #A1A1A0",
"b 	c #B9B7B6",
"c 	c #828280",
"d 	c #FBE73B",
"e 	c #F2B64D",
"f 	c #FAFAF9",
"g 	c #F8F8F7",
"h 	c #F8F7F6",
"i 	c #F3F2F1",
"j 	c #E0E0DF",
"k 	c #DBD9D7",
"l 	c #FCEB3D",
"m 	c #F7B544",
"n 	c #5D502B",
"o 	c #BCBCBB",
"p 	c #BCBBBB",
"q 	c #BBBBBA",
"r 	c #BBBBB9",
"s 	c #B9B8B8",
"t 	c #B7B6B5",
"u 	c #B5B4B3",
"v 	c #FCE93B",
"w 	c #F7B545",
"x 	c #6C5F34",
"y 	c #F7F6F5",
"z 	c #F6F6F4",
"A 	c #F5F4F3",
"B 	c #F4F3F2",
"C 	c #FAE43A",
"D 	c #F4B244",
"E 	c #615738",
"F 	c #BAB9B8",
"G 	c #B8B8B7",
"H 	c #B8B8B6",
"I 	c #B4B4B3",
"J 	c #F9DF39",
"K 	c #F3AF42",
"L 	c #5D5232",
"M 	c #6F6B63",
"N 	c #F6F5F4",
"O 	c #F5F5F3",
"P 	c #F3F3F1",
"Q 	c #F2F2F0",
"R 	c #F1F1EF",
"S 	c #F0EFED",
"T 	c #F9DC38",
"U 	c #EFB44D",
"V 	c #665A32",
"W 	c #9B9997",
"X 	c #7C786F",
"Y 	c #B6B6B5",
"Z 	c #B5B5B4",
"` 	c #B6B5B4",
" .	c #F8D837",
"..	c #F0A93F",
"+.	c #655930",
"@.	c #767673",
"#.	c #ADACA9",
"$.	c #908A81",
"%.	c #F0F0EE",
"&.	c #EFEFED",
"*.	c #F1F0EE",
"=.	c #F6D236",
"-.	c #EDA43E",
";.	c #5B5230",
">.	c #9B9A98",
",.	c #ADACAA",
"'.	c #C6C4C2",
").	c #9E998E",
"!.	c #B5B5B3",
"~.	c #B5B4B2",
"{.	c #B4B3B2",
"].	c #B3B2B1",
"^.	c #AEADAC",
"/.	c #D7AE74",
"(.	c #61562F",
"_.	c #757473",
":.	c #9A9A97",
"<.	c #DAD9D5",
"[.	c #9F9A8E",
"}.	c #EDEDEB",
"|.	c #EDECEA",
"1.	c #ECEBE9",
"2.	c #EBEAE8",
"3.	c #E6E5E2",
"4.	c #4F4115",
"5.	c #ADABA9",
"6.	c #B9B8B5",
"7.	c #D1D0CD",
"8.	c #D8D7D3",
"9.	c #DBDAD6",
"0.	c #A19B90",
"a.	c #B1B0AE",
"b.	c #B0AFAE",
"c.	c #B0AFAD",
"d.	c #AFAEAC",
"e.	c #A8A7A5",
"f.	c #C1C0BD",
"g.	c #C2C2BE",
"h.	c #CECDC9",
"i.	c #D2D1CE",
"j.	c #DCDBD7",
"k.	c #E7E6E3",
"l.	c #E5E4E1",
"m.	c #E4E2DF",
"n.	c #E0DFDB",
"o.	c #DDDBD9",
"p.	c #DEDDD9",
"q.	c #D5D4D1",
"r.	c #D9D8D4",
"s.	c #DBD9D5",
"t.	c #D9D7D3",
"u.	c #9F998D",
"v.	c #E4E3E0",
"w.	c #E3E2DF",
"x.	c #E3E2DE",
"y.	c #E4E3DF",
"z.	c #DDDCD8",
"A.	c #DCDAD6",
"B.	c #D8D6D2",
"C.	c #9E988D",
"D.	c #EDEDED",
"E.	c #E1E0DD",
"F.	c #E1DFDC",
"G.	c #E1E0DC",
"H.	c #E2E1DD",
"I.	c #DFDEDA",
"J.	c #DEDCD8",
"K.	c #D8D6D1",
"L.	c #D7D5D1",
"M.	c #9D978B",
"N.	c #D1D1D1",
"O.	c #E1DFDB",
"P.	c #E0DEDA",
"Q.	c #DFDDD9",
"R.	c #DDDBD7",
"S.	c #D7D6D1",
"T.	c #D5D3CE",
"U.	c #9B958A",
"V.	c #999891",
"W.	c #A39E92",
"X.	c #A49E93",
"Y.	c #A39D92",
"Z.	c #A39D91",
"`.	c #A19C90",
" +	c #A29C90",
".+	c #A19B8F",
"++	c #9D978C",
"@+	c #9B968A",
"#+	c #676359",
"                                                ",
"      . . . . . . . . . . . . . + @ #           ",
"    . $ % & & & & & & & & * = = - ; > ,         ",
"    . % & & & & & & & & & & = ' ) ! & ~ {       ",
"    . & & ] ] ] ] ] ^ ] ^ / ( _ : < & [ } |     ",
"    . & & & & & 1 2 3 2 3 4 = 5 6 . . . . .     ",
"    . & & ] ^ / 7 8 9 8 9 ( ( 0 a b c . d e .   ",
"    . & 1 2 3 4 f = g = g h = i j k . l m n .   ",
"    . & 3 8 9 ( o p q p q r s t u . v w x .     ",
"    . & f = g h y z A z A B B i . C D E . .     ",
"    . & g p q r F s G s G H I . J K L . M .     ",
"    . & N O B B P Q R Q R S . T U V . W X .     ",
"    . & B G H Y Z t ` t u .  ...+.. @.#.$..     ",
"    . & B i Q %.&.*.S S . =.-.;.. >.,.'.)..     ",
"    . & %.Z Z !.~.{.].^.. /.(.. _.c :.<.[..     ",
"    . & }.|.1.1.1.2.3.. 4.. . 5.6.7.8.9.0..     ",
"    . & 2.a.a.b.c.d.e.. . f.g.h.i.8.9.j.0..     ",
"    . & k.3.3.3.l.m.n.o.p.q.<.r.9.<.s.t.u..     ",
"    . * v.w.x.m.y.n.p.<.8.<.z.j.A.A.t.B.C..     ",
"    . D.E.F.G.n.H.I.I.9.j.z.J.A.A.t.K.L.M..     ",
"    . N.O.P.I.p.n.p.Q.j.J.R.J.A.A.B.S.T.U..     ",
"    . V.W.X.Y.Z.Y.`. +`. +.+0.u.u.++++@+#+.     ",
"      . . . . . . . . . . . . . . . . . .       ",
"                                                "};

static char * stock_file_xpm[] = {
"24 24 127 2",
"  	c None",
". 	c #000000",
"+ 	c #D3D3D3",
"@ 	c #F6F6F6",
"# 	c #FFFFFF",
"$ 	c #F9F9F9",
"% 	c #DADADA",
"& 	c #585858",
"* 	c #C7C7C7",
"= 	c #D1D1D1",
"- 	c #D6D6D6",
"; 	c #FEFEFE",
"> 	c #FDFDFD",
", 	c #C0C0C0",
"' 	c #E1E1E1",
") 	c #F0F0F0",
"! 	c #9B9B9B",
"~ 	c #FCFCFB",
"{ 	c #FBFBFB",
"] 	c #AFAFAE",
"^ 	c #E9E9E9",
"/ 	c #DFDFDF",
"( 	c #8F8F8F",
"_ 	c #FAFAF9",
": 	c #F9F9F8",
"< 	c #A4A4A3",
"[ 	c #F4F4F4",
"} 	c #CFCFCF",
"| 	c #A2A2A2",
"1 	c #F8F8F7",
"2 	c #F8F7F6",
"3 	c #9E9E9E",
"4 	c #F7F6F5",
"5 	c #F6F6F4",
"6 	c #F4F3F2",
"7 	c #DEDDDC",
"8 	c #D3D2D0",
"9 	c #B7B7B5",
"0 	c #9F9E9D",
"a 	c #706F6F",
"b 	c #65625A",
"c 	c #F5F4F3",
"d 	c #F2F2F0",
"e 	c #E4E4E2",
"f 	c #DAD9D7",
"g 	c #D8D8D6",
"h 	c #CDCCCA",
"i 	c #AFAEAC",
"j 	c #88847B",
"k 	c #F3F3F1",
"l 	c #EFEFED",
"m 	c #EEEDEB",
"n 	c #EDECEA",
"o 	c #E9E8E6",
"p 	c #D5D4D3",
"q 	c #C4C3C2",
"r 	c #8F8A81",
"s 	c #F6F5F4",
"t 	c #F5F5F3",
"u 	c #F1F1EF",
"v 	c #F1F0EE",
"w 	c #ECEBE9",
"x 	c #EAE9E7",
"y 	c #E5E4E2",
"z 	c #E4E3E0",
"A 	c #D2D1CE",
"B 	c #8D887E",
"C 	c #F3F2F1",
"D 	c #F0F0EE",
"E 	c #F0EFED",
"F 	c #EFEEEC",
"G 	c #E8E7E5",
"H 	c #E5E4E1",
"I 	c #E2E1DE",
"J 	c #E1DFDC",
"K 	c #979288",
"L 	c #A49E93",
"M 	c #E8E7E4",
"N 	c #E7E6E3",
"O 	c #E3E2DF",
"P 	c #E2E0DD",
"Q 	c #E1E0DC",
"R 	c #E0DFDB",
"S 	c #A19C90",
"T 	c #EDEDEB",
"U 	c #EBEAE8",
"V 	c #E9E8E5",
"W 	c #E6E4E1",
"X 	c #E3E2DE",
"Y 	c #DFDEDA",
"Z 	c #DEDDD9",
"` 	c #DDDCD8",
" .	c #A19B90",
"..	c #E7E5E2",
"+.	c #E4E3DF",
"@.	c #DCDBD7",
"#.	c #E6E5E2",
"$.	c #E5E4E0",
"%.	c #E2E1DD",
"&.	c #DBD9D5",
"*.	c #D9D7D3",
"=.	c #9F998D",
"-.	c #E4E2DF",
";.	c #DDDBD7",
">.	c #DCDAD6",
",.	c #D8D6D2",
"'.	c #9E988D",
").	c #EDEDED",
"!.	c #E1E0DD",
"~.	c #E0DEDA",
"{.	c #D8D6D1",
"].	c #D7D5D1",
"^.	c #9D978B",
"/.	c #E1DFDB",
"(.	c #DEDCD8",
"_.	c #D7D6D1",
":.	c #D5D3CE",
"<.	c #9B958A",
"[.	c #999891",
"}.	c #A39E92",
"|.	c #A39D92",
"1.	c #A39D91",
"2.	c #A29C90",
"3.	c #A19B8F",
"4.	c #9D978C",
"5.	c #9B968A",
"6.	c #676359",
"                                                ",
"      . . . . . . . . . . . . .                 ",
"    . + @ # # # # # # # # $ % & .               ",
"    . @ # # # # # # # # # # * = - .             ",
"    . # # # # # # # ; # ; > , ' ) ! .           ",
"    . # # # # # ; > ~ > ~ { ] ^ # / ( .         ",
"    . # # # ; > ~ { _ { _ : < ) # [ } | .       ",
"    . # ; > ~ { _ : 1 : 1 2 3 . . . . . . .     ",
"    . # ~ { _ : 1 2 4 2 4 5 6 7 8 9 0 a b .     ",
"    . # _ : 1 2 4 5 c 5 c 6 d e f g h i j .     ",
"    . # 1 2 4 5 c 6 k 6 k d l m n o p q r .     ",
"    . # s t 6 6 k d u d u v m w x y z A B .     ",
"    . # 6 C d D l v E v E F w G H z I J K .     ",
"    . # 6 C d D l v E v E F w G H z I J L .     ",
"    . # D l l F m n n n n w M N O P Q R S .     ",
"    . # T n w w w U V U V V H W X Y Z `  ..     ",
"    . # U o o G M M N M N ..+.X R Z ` @. ..     ",
"    . # N #.#.#.H W $.W $.+.%.R Z @.&.*.=..     ",
"    . $ z O X -.+.%.X %.X Q Q Z ;.>.*.,.'..     ",
"    . ).!.J Q R %.R Q R Q Y ~.;.>.*.{.].^..     ",
"    . = /.~.Y Z R Z ~.Z ~.(.(.>.>.,._.:.<..     ",
"    . [.}.L |.1.|.S 2.S 2.3. .=.=.4.4.5.6..     ",
"      . . . . . . . . . . . . . . . . . .       ",
"                                                "};

static char * stock_media_forward_xpm[] = {
"24 24 39 1",
" 	c None",
".	c #000000",
"+	c #727170",
"@	c #7B7B7A",
"#	c #6C6B6A",
"$	c #7F7E7D",
"%	c #999996",
"&	c #7D7C7B",
"*	c #828180",
"=	c #9D9C9A",
"-	c #B0AFAC",
";	c #908F8D",
">	c #868583",
",	c #A1A09E",
"'	c #B4B3B1",
")	c #B6B4B2",
"!	c #A5A4A1",
"~	c #898886",
"{	c #B9B7B4",
"]	c #BAB9B6",
"^	c #BCBAB7",
"/	c #C3C2BF",
"(	c #737373",
"_	c #C2C2C2",
":	c #8C8B89",
"<	c #A9A8A5",
"[	c #BDBCB9",
"}	c #C5C3C0",
"|	c #D0CECC",
"1	c #FFFFFF",
"2	c #8F8E8C",
"3	c #B5B3B1",
"4	c #C7C6C3",
"5	c #D2D1CE",
"6	c #B9B6B4",
"7	c #D8D7D5",
"8	c #A19F9D",
"9	c #C7C6C4",
"0	c #A7A6A3",
"                        ",
"                        ",
"                        ",
"                        ",
"    .        .          ",
"    ..       ..         ",
"    .+.      .+.        ",
"    .@#.     .@#.       ",
"    .$%&.    .$%&.      ",
"    .*=-;.   .*=-;.     ",
"    .>,')!.  .>,')!.    ",
"    .~!{]^/.(.~!{]^/._  ",
"    .:<[}|.1 .:<[}|.1   ",
"    .2345.1  .2345.1    ",
"    .=67.1   .=67.1     ",
"    .89.1    .89.1      ",
"    .0.1     .0.1       ",
"    ..1      ..1        ",
"    .1       .1         ",
"    1        1          ",
"                        ",
"                        ",
"                        ",
"                        "};

static char * stock_media_next_xpm[] = {
"24 24 60 1",
" 	c None",
".	c #000000",
"+	c #FFFFFF",
"@	c #737372",
"#	c #888887",
"$	c #727170",
"%	c #7E7E7D",
"&	c #A4A4A3",
"*	c #7B7B7A",
"=	c #6C6B6A",
"-	c #8E8E8D",
";	c #B5B4B3",
">	c #7F7E7D",
",	c #999996",
"'	c #7D7C7B",
")	c #949392",
"!	c #C0BFBE",
"~	c #828180",
"{	c #9D9C9A",
"]	c #B0AFAC",
"^	c #908F8D",
"/	c #A4A3A2",
"(	c #CACAC8",
"_	c #868583",
":	c #A1A09E",
"<	c #B4B3B1",
"[	c #B6B4B2",
"}	c #A5A4A1",
"|	c #A1A09F",
"1	c #D0CECD",
"2	c #898886",
"3	c #B9B7B4",
"4	c #BAB9B6",
"5	c #BCBAB7",
"6	c #C3C2BF",
"7	c #C2C2C2",
"8	c #8C8B89",
"9	c #A9A8A5",
"0	c #BDBCB9",
"a	c #C5C3C0",
"b	c #D0CECC",
"c	c #8F8E8C",
"d	c #B5B3B1",
"e	c #C7C6C3",
"f	c #D2D1CE",
"g	c #AFAEAB",
"h	c #D2D1CF",
"i	c #B9B6B4",
"j	c #D8D7D5",
"k	c #B8B8B5",
"l	c #D4D3D2",
"m	c #A19F9D",
"n	c #C7C6C4",
"o	c #BBBAB7",
"p	c #D7D5D3",
"q	c #A7A6A3",
"r	c #BBB9B7",
"s	c #D9D8D6",
"t	c #B9B8B5",
"u	c #DEDDDB",
"                        ",
"                        ",
"                        ",
"                        ",
"      .        ....+    ",
"      ..       .@#.+    ",
"      .$.      .%&.+    ",
"      .*=.     .-;.+    ",
"      .>,'.    .)!.+    ",
"      .~{]^.   ./(.+    ",
"      ._:<[}.  .|1.+    ",
"      .2}3456.7./(.+    ",
"      .890ab.+ .|1.+    ",
"      .cdef.+  .gh.+    ",
"      .{ij.+   .kl.+    ",
"      .mn.+    .op.+    ",
"      .q.+     .rs.+    ",
"      ..+      .tu.+    ",
"      .+       ....+    ",
"      +        +++++    ",
"                        ",
"                        ",
"                        ",
"                        "};

static char * stock_media_pause_xpm[] = {
"24 24 30 1",
" 	c None",
".	c #000000",
"+	c #FFFFFF",
"@	c #737372",
"#	c #848483",
"$	c #888887",
"%	c #7E7E7D",
"&	c #A8A7A6",
"*	c #A4A4A3",
"=	c #A6A5A4",
"-	c #B5B4B3",
";	c #858483",
">	c #AAA9A7",
",	c #C0BFBE",
"'	c #91908E",
")	c #AFAEAC",
"!	c #CACAC8",
"~	c #A6A5A2",
"{	c #BBBAB7",
"]	c #D4D3D2",
"^	c #AEADA9",
"/	c #BFBDBA",
"(	c #D7D5D3",
"_	c #B2B0AD",
":	c #C3C1BE",
"<	c #D9D8D6",
"[	c #B5B3B0",
"}	c #D1CFCC",
"|	c #DEDDDB",
"1	c #F3F3F3",
"                        ",
"                        ",
"                        ",
"                        ",
"                        ",
"      .....+.....+      ",
"      .@#$.+.@#$.+      ",
"      .%&*.+.%&*.+      ",
"      .%=-.+.%=-.+      ",
"      .;>,.+.;>,.+      ",
"      .')!.+.')!.+      ",
"      .')!.+.')!.+      ",
"      .')!.+.')!.+      ",
"      .~{].+.~{].+      ",
"      .~{].+.~{].+      ",
"      .^/(.+.^/(.+      ",
"      ._:<.+._:<.+      ",
"      .[}|.+.[}|.+      ",
"      .....+.....+      ",
"      +++++1++++++      ",
"                        ",
"                        ",
"                        ",
"                        "};

static char * stock_media_play_xpm[] = {
"24 24 37 1",
" 	c None",
".	c #000000",
"+	c #727170",
"@	c #7B7B7A",
"#	c #6C6B6A",
"$	c #7F7E7D",
"%	c #999996",
"&	c #7D7C7B",
"*	c #828180",
"=	c #9D9C9A",
"-	c #B0AFAC",
";	c #908F8D",
">	c #868583",
",	c #A1A09E",
"'	c #B4B3B1",
")	c #B6B4B2",
"!	c #A5A4A1",
"~	c #898886",
"{	c #B9B7B4",
"]	c #BAB9B6",
"^	c #BCBAB7",
"/	c #C3C2BF",
"(	c #FFFFFF",
"_	c #8C8B89",
":	c #A9A8A5",
"<	c #BDBCB9",
"[	c #C5C3C0",
"}	c #D0CECC",
"|	c #8F8E8C",
"1	c #B5B3B1",
"2	c #C7C6C3",
"3	c #D2D1CE",
"4	c #B9B6B4",
"5	c #D8D7D5",
"6	c #A19F9D",
"7	c #C7C6C4",
"8	c #A7A6A3",
"                        ",
"                        ",
"                        ",
"                        ",
"         .              ",
"         ..             ",
"         .+.            ",
"         .@#.           ",
"         .$%&.          ",
"         .*=-;.         ",
"         .>,')!.        ",
"         .~!{]^/.(      ",
"         ._:<[}.(       ",
"         .|123.(        ",
"         .=45.(         ",
"         .67.(          ",
"         .8.(           ",
"         ..(            ",
"         .(             ",
"         (              ",
"                        ",
"                        ",
"                        ",
"                        "};

static char * stock_media_previous_xpm[] = {
"24 24 58 1",
" 	c None",
".	c #000000",
"+	c #FFFFFF",
"@	c #D9D9D9",
"#	c #737372",
"$	c #888887",
"%	c #7E7E7D",
"&	c #A4A4A3",
"*	c #696867",
"=	c #8E8E8D",
"-	c #B5B4B3",
";	c #5B5A59",
">	c #9C9C9A",
",	c #949392",
"'	c #C0BFBE",
")	c #636261",
"!	c #908F8D",
"~	c #C5C4C3",
"{	c #A4A3A2",
"]	c #CACAC8",
"^	c #6F6E6C",
"/	c #959491",
"(	c #C0BFBD",
"_	c #D3D3D1",
":	c #A1A09F",
"<	c #D0CECD",
"[	c #636260",
"}	c #8D8C8B",
"|	c #B4B3B1",
"1	c #757574",
"2	c #868481",
"3	c #BAB9B6",
"4	c #B9B7B4",
"5	c #C5C4C2",
"6	c #D4D3D1",
"7	c #A2A09F",
"8	c #A6A4A2",
"9	c #BDBCB9",
"0	c #C6C5C3",
"a	c #D4D3D2",
"b	c #AFAEAB",
"c	c #D2D1CF",
"d	c #A3A2A0",
"e	c #B7B6B3",
"f	c #D0CFCD",
"g	c #D4D4D3",
"h	c #B8B8B5",
"i	c #A8A7A5",
"j	c #D5D5D3",
"k	c #DFDFDD",
"l	c #BBBAB7",
"m	c #D7D5D3",
"n	c #C4C4C2",
"o	c #DFDFDE",
"p	c #BBB9B7",
"q	c #D9D8D6",
"r	c #B9B8B5",
"s	c #DEDDDB",
"                        ",
"                        ",
"                        ",
"                        ",
"     ....+       .@     ",
"     .#$.+      ..+     ",
"     .%&.+     .*.+     ",
"     .=-.+    .;>.+     ",
"     .,'.+   .)!~.+     ",
"     .{].+  .^/(_.+     ",
"     .:<.+ .[}|(_.+     ",
"     .{].+.123456.+     ",
"     .:<.+ .7890a.+     ",
"     .bc.+  .defg.+     ",
"     .ha.+   .ijk.+     ",
"     .lm.+   +.no.+     ",
"     .pq.+    +.6.+     ",
"     .rs.+      ..+     ",
"     ....+      +.+     ",
"     +++++              ",
"                        ",
"                        ",
"                        ",
"                        "};

static char * stock_media_record_xpm[] = {
"24 24 177 2",
"  	c None",
". 	c #000000",
"+ 	c #070201",
"@ 	c #5E2416",
"# 	c #92301A",
"$ 	c #A53116",
"% 	c #A43016",
"& 	c #912F19",
"* 	c #5A1F12",
"= 	c #070200",
"- 	c #1D1D1D",
"; 	c #340E06",
"> 	c #9E2D14",
", 	c #C57361",
"' 	c #DCA397",
") 	c #E5B7AD",
"! 	c #DBA296",
"~ 	c #C37160",
"{ 	c #9B2914",
"] 	c #330D06",
"^ 	c #2D2D2D",
"/ 	c #330E06",
"( 	c #A02B13",
"_ 	c #CF877A",
": 	c #E1ABA1",
"< 	c #E3ADA2",
"[ 	c #E5ADA2",
"} 	c #E5ACA2",
"| 	c #E3ABA1",
"1 	c #DFAAA1",
"2 	c #CC8678",
"3 	c #9B2611",
"4 	c #310C05",
"5 	c #535353",
"6 	c #070100",
"7 	c #982712",
"8 	c #C06756",
"9 	c #DB9D91",
"0 	c #E09D91",
"a 	c #E29E91",
"b 	c #E49E91",
"c 	c #E39D91",
"d 	c #E29D91",
"e 	c #DF9C90",
"f 	c #D99B90",
"g 	c #BB6255",
"h 	c #92220F",
"i 	c #ACACAC",
"j 	c #551B10",
"k 	c #9F2611",
"l 	c #CD7E70",
"m 	c #D88B7D",
"n 	c #DD8B7D",
"o 	c #DE8B7D",
"p 	c #DF8B7D",
"q 	c #DD8A7D",
"r 	c #DA897D",
"s 	c #D6877C",
"t 	c #CA7B6F",
"u 	c #981F0E",
"v 	c #561C13",
"w 	c #686868",
"x 	c #852514",
"y 	c #A22310",
"z 	c #CD7567",
"A 	c #D47768",
"B 	c #D67768",
"C 	c #D77768",
"D 	c #D77668",
"E 	c #D77568",
"F 	c #D67467",
"G 	c #D57467",
"H 	c #CF7366",
"I 	c #C97166",
"J 	c #9B1C0D",
"K 	c #832315",
"L 	c #262626",
"M 	c #FFFFFF",
"N 	c #921F0E",
"O 	c #A3200E",
"P 	c #C35748",
"Q 	c #CC6051",
"R 	c #CE6050",
"S 	c #CE5F50",
"T 	c #CE5E50",
"U 	c #CE5D50",
"V 	c #CC5D50",
"W 	c #C95B50",
"X 	c #BE5146",
"Y 	c #9B190B",
"Z 	c #8A170A",
"` 	c #050505",
" .	c #8E1B0C",
"..	c #9F1C0C",
"+.	c #B23020",
"@.	c #C04437",
"#.	c #C34537",
"$.	c #C44437",
"%.	c #C34437",
"&.	c #C14236",
"*.	c #BF4235",
"=.	c #BD4135",
"-.	c #AC291E",
";.	c #971509",
">.	c #86140A",
",.	c #7C1D11",
"'.	c #96170A",
").	c #A3190B",
"!.	c #B02215",
"~.	c #B7291B",
"{.	c #B7281A",
"].	c #B8271A",
"^.	c #B7261A",
"/.	c #B62619",
"(.	c #B32519",
"_.	c #AA1E13",
":.	c #9D1208",
"<.	c #8E1007",
"[.	c #7B1C14",
"}.	c #4E150D",
"|.	c #8A1208",
"1.	c #981308",
"2.	c #A31409",
"3.	c #AA170B",
"4.	c #AE1A0E",
"5.	c #AE1A0F",
"6.	c #AE190F",
"7.	c #AC180D",
"8.	c #A61309",
"9.	c #9D0F06",
"0.	c #910D05",
"a.	c #830C05",
"b.	c #4F1610",
"c.	c #060100",
"d.	c #7E0E06",
"e.	c #8A0E06",
"f.	c #950E06",
"g.	c #A20F06",
"h.	c #A30E06",
"i.	c #A20D05",
"j.	c #9F0D05",
"k.	c #990B05",
"l.	c #900A04",
"m.	c #840804",
"n.	c #790A04",
"o.	c #060000",
"p.	c #C7C7C7",
"q.	c #1A1A1A",
"r.	c #2A0401",
"s.	c #7D0904",
"t.	c #850904",
"u.	c #8D0A04",
"v.	c #930904",
"w.	c #970903",
"x.	c #960803",
"y.	c #900803",
"z.	c #890602",
"A.	c #810502",
"B.	c #770402",
"C.	c #280301",
"D.	c #2C2C2C",
"E.	c #290301",
"F.	c #760703",
"G.	c #7C0502",
"H.	c #810401",
"I.	c #860401",
"J.	c #850301",
"K.	c #800300",
"L.	c #790200",
"M.	c #720302",
"N.	c #270200",
"O.	c #474747",
"P.	c #4B120F",
"Q.	c #6E0F0C",
"R.	c #730202",
"S.	c #70120F",
"T.	c #050000",
"                                                ",
"                                                ",
"                                                ",
"                  . . . . . .                   ",
"              . + @ # $ % & * = -               ",
"            . ; > , ' ) ) ! ~ { ] ^             ",
"          . / ( _ : < [ } | 1 2 3 4 5           ",
"          6 7 8 9 0 a b c d e f g h 6 i         ",
"        . j k l m n o p o q r s t u v w         ",
"        . x y z A B C D E F G H I J K L M       ",
"        . N O P Q R R S T U V W X Y Z ` M       ",
"        .  ...+.@.#.$.$.%.&.*.=.-.;.>.` M       ",
"        . ,.'.).!.~.{.].^./.(._.:.<.[.L M       ",
"        . }.|.1.2.3.4.5.6.7.8.9.0.a.b.w M       ",
"          c.d.e.f.9.g.h.i.j.k.l.m.n.o.p.M       ",
"          q.r.s.t.u.v.w.x.y.z.A.B.C.w M         ",
"            D.E.F.G.H.I.J.K.L.M.N.O.M M         ",
"              5 o.P.Q.R.R.S.P.T.w M M           ",
"                i w L ` ` L w p.M M             ",
"                    M M M M M M                 ",
"                                                ",
"                                                ",
"                                                ",
"                                                "};

static char * stock_media_rewind_xpm[] = {
"24 24 37 1",
" 	c None",
".	c #000000",
"+	c #D9D9D9",
"@	c #FFFFFF",
"#	c #696867",
"$	c #5B5A59",
"%	c #9C9C9A",
"&	c #636261",
"*	c #908F8D",
"=	c #C5C4C3",
"-	c #6F6E6C",
";	c #959491",
">	c #C0BFBD",
",	c #D3D3D1",
"'	c #636260",
")	c #8D8C8B",
"!	c #B4B3B1",
"~	c #757574",
"{	c #868481",
"]	c #BAB9B6",
"^	c #B9B7B4",
"/	c #C5C4C2",
"(	c #D4D3D1",
"_	c #A2A09F",
":	c #A6A4A2",
"<	c #BDBCB9",
"[	c #C6C5C3",
"}	c #D4D3D2",
"|	c #A3A2A0",
"1	c #B7B6B3",
"2	c #D0CFCD",
"3	c #D4D4D3",
"4	c #A8A7A5",
"5	c #D5D5D3",
"6	c #DFDFDD",
"7	c #C4C4C2",
"8	c #DFDFDE",
"                        ",
"                        ",
"                        ",
"                        ",
"         .+       .+    ",
"        ..@      ..@    ",
"       .#.@     .#.@    ",
"      .$%.@    .$%.@    ",
"     .&*=.@   .&*=.@    ",
"    .-;>,.@  .-;>,.@    ",
"   .')!>,.@ .')!>,.@    ",
"  .~{]^/(.@.~{]^/(.@    ",
"   ._:<[}.@ ._:<[}.@    ",
"    .|123.@  .|123.@    ",
"     .456.@   .456.@    ",
"     @.78.@   @.78.@    ",
"      @.(.@    @.(.@    ",
"        ..@      ..@    ",
"        @.@      @.@    ",
"                        ",
"                        ",
"                        ",
"                        ",
"                        "};

static char * stock_media_stop_xpm[] = {
"24 24 29 1",
" 	c None",
".	c #000000",
"+	c #FFFFFF",
"@	c #737372",
"#	c #848483",
"$	c #888887",
"%	c #7E7E7D",
"&	c #A8A7A6",
"*	c #A4A4A3",
"=	c #A6A5A4",
"-	c #B5B4B3",
";	c #858483",
">	c #AAA9A7",
",	c #C0BFBE",
"'	c #91908E",
")	c #AFAEAC",
"!	c #CACAC8",
"~	c #A6A5A2",
"{	c #BBBAB7",
"]	c #D4D3D2",
"^	c #AEADA9",
"/	c #BFBDBA",
"(	c #D7D5D3",
"_	c #B2B0AD",
":	c #C3C1BE",
"<	c #D9D8D6",
"[	c #B5B3B0",
"}	c #D1CFCC",
"|	c #DEDDDB",
"                        ",
"                        ",
"                        ",
"                        ",
"                        ",
"     .............+     ",
"     .@#$$$$$$$$$.+     ",
"     .%&*********.+     ",
"     .%=---------.+     ",
"     .;>,,,,,,,,,.+     ",
"     .')!!!!!!!!!.+     ",
"     .')!!!!!!!!!.+     ",
"     .~{]]]]]]]]].+     ",
"     .~{]]]]]]]]].+     ",
"     .^/(((((((((.+     ",
"     ._:<<<<<<<<<.+     ",
"     .[}|||||||||.+     ",
"     .............+     ",
"     ++++++++++++++     ",
"                        ",
"                        ",
"                        ",
"                        ",
"                        "};

#endif
static char * stock_zoom_xpm[] = {
"24 24 127 2",
"  	c None",
". 	c #343434",
"+ 	c #2D2D2D",
"@ 	c #292929",
"# 	c #262626",
"$ 	c #2E2E2E",
"% 	c #303030",
"& 	c #737373",
"* 	c #A1A1A1",
"= 	c #B4B4B4",
"- 	c #B2B2B2",
"; 	c #9D9D9D",
"> 	c #676767",
", 	c #202020",
"' 	c #1C1C1C",
") 	c #272727",
"! 	c #616161",
"~ 	c #CACACA",
"{ 	c #CFCFCF",
"] 	c #D0D0D0",
"^ 	c #CECECE",
"/ 	c #C9C9C9",
"( 	c #C1C1C1",
"_ 	c #A7A7A7",
": 	c #4C4C4C",
"< 	c #131313",
"[ 	c #222222",
"} 	c #757575",
"| 	c #D3D3D3",
"1 	c #DBDBDB",
"2 	c #E7E7E7",
"3 	c #EFEFEF",
"4 	c #F3F3F3",
"5 	c #F1F1F1",
"6 	c #E5E5E5",
"7 	c #D2D2D2",
"8 	c #BCBCBC",
"9 	c #5E5E5E",
"0 	c #101010",
"a 	c #212121",
"b 	c #5B5B5B",
"c 	c #CCCCCC",
"d 	c #DADADA",
"e 	c #FEFEFE",
"f 	c #FBFBFB",
"g 	c #FAFAFA",
"h 	c #C2C2C2",
"i 	c #434343",
"j 	c #0F0F0F",
"k 	c #1F1F1F",
"l 	c #B9B9B9",
"m 	c #D6D6D6",
"n 	c #FDFDFD",
"o 	c #FCFCFC",
"p 	c #E4E4E4",
"q 	c #ABABAB",
"r 	c #0E0E0E",
"s 	c #1B1B1B",
"t 	c #6D6D6D",
"u 	c #E1E1E1",
"v 	c #F9F9F9",
"w 	c #E6E6E6",
"x 	c #575757",
"y 	c #090909",
"z 	c #141414",
"A 	c #A8A8A8",
"B 	c #D8D8D8",
"C 	c #EEEEEE",
"D 	c #F8F8F8",
"E 	c #DCDCDC",
"F 	c #9B9B9B",
"G 	c #060606",
"H 	c #111111",
"I 	c #C5C5C5",
"J 	c #DFDFDF",
"K 	c #F5F5F5",
"L 	c #F7F7F7",
"M 	c #F2F2F2",
"N 	c #EDEDED",
"O 	c #BFBFBF",
"P 	c #C6C6C6",
"Q 	c #E3E3E3",
"R 	c #ECECEC",
"S 	c #F4F4F4",
"T 	c #F0F0F0",
"U 	c #EAEAEA",
"V 	c #E0E0E0",
"W 	c #D7D7D7",
"X 	c #BABABA",
"Y 	c #050505",
"Z 	c #0B0B0B",
"` 	c #A5A5A5",
" .	c #F6F6F6",
"..	c #D1D1D1",
"+.	c #939393",
"@.	c #020202",
"#.	c #0A0A0A",
"$.	c #5F5F5F",
"%.	c #D9D9D9",
"&.	c #E9E9E9",
"*.	c #D4D4D4",
"=.	c #000000",
"-.	c #CBCBCB",
";.	c #3B3B3B",
">.	c #BDBDBD",
",.	c #515151",
"'.	c #C7C7C7",
").	c #CDCDCD",
"!.	c #C8C8C8",
"~.	c #B8B8B8",
"{.	c #454545",
"].	c #030303",
"^.	c #313131",
"/.	c #999999",
"(.	c #BBBBBB",
"_.	c #B6B6B6",
":.	c #909090",
"<.	c #2B2B2B",
"[.	c #010101",
"}.	c #414141",
"|.	c #7A7A7A",
"1.	c #9A9A9A",
"2.	c #777777",
"3.	c #3C3C3C",
"4.	c #686868",
"5.	c #797979",
"6.	c #3A3A3A",
"                                                ",
"              . + @ # # #                       ",
"          $ % & * = - ; > , '                   ",
"        ) ! = ~ { ] ^ / ( _ : <                 ",
"      [ } ~ | 1 2 3 4 5 6 7 8 9 0               ",
"    a b c d d d e f g e d d d h i j             ",
"    k l m d n n n n o n n n d p q r             ",
"  s t 7 u d n n e e n o v e d w 1 x y           ",
"  z A B C e n o e e n f D e e w E F G           ",
"  H I J 3 K D f n n o g L M N 6 1 O G           ",
"  r P Q R M K D g g g L S T U V W X Y           ",
"  Z ` u 2 d e S  . .K 4 3 e d 1 ..+.@.          ",
"  #.$.%.u d e C 3 3 C N &.e d *.~ : =.          ",
"    #.= B d d d d w 2 d d d d -.* @.            ",
"    G ;.c d d d d d 1 d d d d >.$ =.            ",
"      Y ,.h '.-.c ).-.-.!.h ~.{.=.              ",
"        ].^./.(.>.8 8 8 _.:.<.=.=.=.            ",
"          [.].}.|.1.1.2.3.=.=.  =.=.=.=.        ",
"              =.=.=.=.=.=.        , , =.=.      ",
"                                  =.4.. =.=.    ",
"                                    =.5.6.=.=.  ",
"                                      =.4.k =.  ",
"                                        =.=.    ",
"                                                "};




gImage *gStock_missing(char *vl)
{
	gImage *img=NULL,*img2;
	char **tmp=NULL;
	bool do_flip=false;
	
	if       (!strcasecmp(vl,"gambas"))        tmp=stock_gambas_xpm;          
	else if  (!strcasecmp(vl,"linux"))         tmp=stock_linux_xpm;   
	else if  (!strcasecmp(vl,"zoom/viewmag"))  tmp=stock_zoom_xpm;
	#ifdef GTK_2_4 
	else if  (!strcasecmp(vl,"media/forward")) { tmp=stock_media_forward_xpm; do_flip=true; }
	else if  (!strcasecmp(vl,"media/next"))    { tmp=stock_media_next_xpm; do_flip=true; } 
	else if  (!strcasecmp(vl,"media/pause"))   tmp=stock_media_pause_xpm; 
	else if  (!strcasecmp(vl,"media/play"))    { tmp=stock_media_play_xpm; do_flip=true; }
	else if  (!strcasecmp(vl,"media/previous")){ tmp=stock_media_previous_xpm; do_flip=true; } 
	else if  (!strcasecmp(vl,"media/record"))  tmp=stock_media_record_xpm; 
	else if  (!strcasecmp(vl,"media/rewind"))  { tmp=stock_media_rewind_xpm;  do_flip=true; }
	else if  (!strcasecmp(vl,"media/stop"))    tmp=stock_media_stop_xpm;
	else if  (!strcasecmp(vl,"directory"))     tmp=stock_directory_xpm; 
	else if  (!strcasecmp(vl,"disconnect"))    tmp=stock_disconnect_xpm; 
	else if  (!strcasecmp(vl,"edit"))          tmp=stock_edit_xpm; 
	else if  (!strcasecmp(vl,"file"))          tmp=stock_file_xpm;
	else if  (!strcasecmp(vl,"connect"))       tmp=stock_connect_xpm;
	#endif
	
	if (tmp)
	{
		img=new gImage(0,0);
		img->image=gdk_pixbuf_new_from_xpm_data((const char**)tmp); 
		
		if (do_flip)
		{
			if (gtk_widget_get_default_direction ()==GTK_TEXT_DIR_RTL)
			{
				img2=img->flip();
				delete img;
				img=img2;
			}
		}
	}   
	
	return img;
}


void gStock_parse(char *vl,char **resul)
{
	
	*resul=NULL;
	
	if       (!strcasecmp(vl,"device/cdrom"))       *resul=GTK_STOCK_CDROM;
	else if  (!strcasecmp(vl,"device/floppy"))      *resul=GTK_STOCK_FLOPPY;
	else if  (!strcasecmp(vl,"device/harddisk"))    *resul=GTK_STOCK_HARDDISK;
	else if  (!strcasecmp(vl,"device/printer"))     *resul=GTK_STOCK_PRINT;
	else if  (!strcasecmp(vl,"device/network"))     *resul=GTK_STOCK_NETWORK; // (*)
	
	else if  (!strcasecmp(vl,"dialog/auth"))        *resul=GTK_STOCK_DIALOG_AUTHENTICATION;
	else if  (!strcasecmp(vl,"dialog/error"))       *resul=GTK_STOCK_DIALOG_ERROR;
	else if  (!strcasecmp(vl,"dialog/info"))        *resul=GTK_STOCK_DIALOG_INFO;
	else if  (!strcasecmp(vl,"dialog/question"))    *resul=GTK_STOCK_DIALOG_QUESTION;
	else if  (!strcasecmp(vl,"dialog/warning"))     *resul=GTK_STOCK_DIALOG_WARNING;

	else if  (!strcasecmp(vl,"dnd/simple"))         *resul=GTK_STOCK_DND; // (*)
	else if  (!strcasecmp(vl,"dnd/multiple"))       *resul=GTK_STOCK_DND_MULTIPLE; // (*)
	
	else if  (!strcasecmp(vl,"go/bottom"))          *resul=GTK_STOCK_GOTO_BOTTOM;
	else if  (!strcasecmp(vl,"go/down"))            *resul=GTK_STOCK_GO_DOWN;
	else if  (!strcasecmp(vl,"go/first"))           *resul=GTK_STOCK_GOTO_FIRST;
	else if  (!strcasecmp(vl,"go/last"))            *resul=GTK_STOCK_GOTO_LAST;
	else if  (!strcasecmp(vl,"go/left"))            *resul=GTK_STOCK_GO_BACK;
	else if  (!strcasecmp(vl,"go/right"))           *resul=GTK_STOCK_GO_FORWARD;
	else if  (!strcasecmp(vl,"go/top"))             *resul=GTK_STOCK_GOTO_TOP;
	else if  (!strcasecmp(vl,"go/up"))              *resul=GTK_STOCK_GO_UP;
	else if  (!strcasecmp(vl,"go/home"))            *resul=GTK_STOCK_HOME;

	else if  (!strcasecmp(vl,"sort/ascending"))     *resul=GTK_STOCK_SORT_ASCENDING; // (*)
	else if  (!strcasecmp(vl,"sort/descending"))    *resul=GTK_STOCK_SORT_DESCENDING; // (*)
	
	else if  (!strcasecmp(vl,"text/bold"))          *resul=GTK_STOCK_BOLD;
	else if  (!strcasecmp(vl,"text/center"))        *resul=GTK_STOCK_JUSTIFY_CENTER;
	else if  (!strcasecmp(vl,"text/font"))          *resul=GTK_STOCK_SELECT_FONT;
	else if  (!strcasecmp(vl,"text/italic"))        *resul=GTK_STOCK_ITALIC;
	else if  (!strcasecmp(vl,"text/justify"))       *resul=GTK_STOCK_JUSTIFY_FILL;
	else if  (!strcasecmp(vl,"text/left"))          *resul=GTK_STOCK_JUSTIFY_LEFT;
	else if  (!strcasecmp(vl,"text/right"))         *resul=GTK_STOCK_JUSTIFY_RIGHT;
	else if  (!strcasecmp(vl,"text/strikethrough")) *resul=GTK_STOCK_STRIKETHROUGH;
	else if  (!strcasecmp(vl,"text/underline"))     *resul=GTK_STOCK_UNDERLINE;
	else if  (!strcasecmp(vl,"text/indent"))        *resul=GTK_STOCK_INDENT; // (*)
	else if  (!strcasecmp(vl,"text/unindent"))      *resul=GTK_STOCK_UNINDENT; // (*)
	
	#ifndef GTK_2_4
	else if  (!strcasecmp(vl,"media/forward"))      *resul=GTK_STOCK_MEDIA_FORWARD; 
	else if  (!strcasecmp(vl,"media/next"))         *resul=GTK_STOCK_MEDIA_NEXT; 
	else if  (!strcasecmp(vl,"media/pause"))        *resul=GTK_STOCK_MEDIA_PAUSE; 
	else if  (!strcasecmp(vl,"media/play"))         *resul=GTK_STOCK_MEDIA_PLAY; 
	else if  (!strcasecmp(vl,"media/previous"))     *resul=GTK_STOCK_MEDIA_PREVIOUS; 
	else if  (!strcasecmp(vl,"media/record"))       *resul=GTK_STOCK_MEDIA_RECORD; 
	else if  (!strcasecmp(vl,"media/rewind"))       *resul=GTK_STOCK_MEDIA_REWIND; 
	else if  (!strcasecmp(vl,"media/stop"))         *resul=GTK_STOCK_MEDIA_STOP; 
	#endif

	else if  (!strcasecmp(vl,"zoom/zoomfit"))       *resul=GTK_STOCK_ZOOM_FIT;
	else if  (!strcasecmp(vl,"zoom/zoomin"))        *resul=GTK_STOCK_ZOOM_IN;
	else if  (!strcasecmp(vl,"zoom/zoomnormal"))    *resul=GTK_STOCK_ZOOM_100;
	else if  (!strcasecmp(vl,"zoom/zoomout"))       *resul=GTK_STOCK_ZOOM_OUT;

	else if  (!strcasecmp(vl,"add"))                *resul=GTK_STOCK_ADD; // (*)
	else if  (!strcasecmp(vl,"apply"))              *resul=GTK_STOCK_APPLY;
	else if  (!strcasecmp(vl,"cancel"))             *resul=GTK_STOCK_CANCEL;
	else if  (!strcasecmp(vl,"clear"))              *resul=GTK_STOCK_CLEAR; // (*)
	else if  (!strcasecmp(vl,"close"))              *resul=GTK_STOCK_CLOSE;
	else if  (!strcasecmp(vl,"color"))              *resul=GTK_STOCK_SELECT_COLOR;
	else if  (!strcasecmp(vl,"colorpicker"))        *resul=GTK_STOCK_COLOR_PICKER;
	else if  (!strcasecmp(vl,"convert"))            *resul=GTK_STOCK_CONVERT; // (*)
	#ifndef GTK_2_4
	else if  (!strcasecmp(vl,"connect"))            *resul=GTK_STOCK_CONNECT; 
	#endif
	else if  (!strcasecmp(vl,"copy"))               *resul=GTK_STOCK_COPY;
	else if  (!strcasecmp(vl,"cut"))                *resul=GTK_STOCK_CUT;
	else if  (!strcasecmp(vl,"delete"))             *resul=GTK_STOCK_DELETE;
	#ifndef GTK_2_4
	else if  (!strcasecmp(vl,"directory"))          *resul=GTK_STOCK_DIRECTORY; 
	else if  (!strcasecmp(vl,"disconnect"))         *resul=GTK_STOCK_DISCONNECT; 
	else if  (!strcasecmp(vl,"edit"))               *resul=GTK_STOCK_EDIT; 
	else if  (!strcasecmp(vl,"file"))               *resul=GTK_STOCK_FILE; 
	#endif
	else if  (!strcasecmp(vl,"execute"))            *resul=GTK_STOCK_EXECUTE; // (*)
	else if  (!strcasecmp(vl,"find"))               *resul=GTK_STOCK_FIND;
	else if  (!strcasecmp(vl,"findandreplace"))     *resul=GTK_STOCK_FIND_AND_REPLACE; // (*)
	else if  (!strcasecmp(vl,"help"))               *resul=GTK_STOCK_HELP;
	else if  (!strcasecmp(vl,"index"))              *resul=GTK_STOCK_INDEX; // (*)
	else if  (!strcasecmp(vl,"jumpto"))             *resul=GTK_STOCK_JUMP_TO; // (*)
	else if  (!strcasecmp(vl,"missingimage"))       *resul=GTK_STOCK_MISSING_IMAGE; // (*)
	else if  (!strcasecmp(vl,"new"))                *resul=GTK_STOCK_NEW;
	else if  (!strcasecmp(vl,"no"))                 *resul=GTK_STOCK_NO; // (*)
	else if  (!strcasecmp(vl,"ok"))                 *resul=GTK_STOCK_OK;
	else if  (!strcasecmp(vl,"open"))               *resul=GTK_STOCK_OPEN;
	else if  (!strcasecmp(vl,"paste"))              *resul=GTK_STOCK_PASTE;
	else if  (!strcasecmp(vl,"preferences"))        *resul=GTK_STOCK_PREFERENCES;
	else if  (!strcasecmp(vl,"print"))              *resul=GTK_STOCK_PRINT;
	else if  (!strcasecmp(vl,"printpreview"))       *resul=GTK_STOCK_PRINT_PREVIEW; // (*)
	else if  (!strcasecmp(vl,"properties"))         *resul=GTK_STOCK_PROPERTIES;
	else if  (!strcasecmp(vl,"quit"))               *resul=GTK_STOCK_QUIT;
	else if  (!strcasecmp(vl,"redo"))               *resul=GTK_STOCK_REDO;
	else if  (!strcasecmp(vl,"refresh"))            *resul=GTK_STOCK_REFRESH;
	else if  (!strcasecmp(vl,"remove"))             *resul=GTK_STOCK_REMOVE; // (*)
	else if  (!strcasecmp(vl,"revert"))             *resul=GTK_STOCK_REVERT_TO_SAVED; // (*)
	else if  (!strcasecmp(vl,"save"))               *resul=GTK_STOCK_SAVE;
	else if  (!strcasecmp(vl,"saveas"))             *resul=GTK_STOCK_SAVE_AS;
	else if  (!strcasecmp(vl,"spellcheck"))         *resul=GTK_STOCK_SPELL_CHECK;
	else if  (!strcasecmp(vl,"stop"))               *resul=GTK_STOCK_STOP;
	else if  (!strcasecmp(vl,"undelete"))           *resul=GTK_STOCK_UNDELETE; // (*)
	else if  (!strcasecmp(vl,"undo"))               *resul=GTK_STOCK_UNDO;
	else if  (!strcasecmp(vl,"yes"))                *resul=GTK_STOCK_YES;// (*)

}

	
gPicture* gStock::get(char *vl)
{
	GtkIconSet *item;
	GtkStyle *style;
	gImage *tmp=NULL,*tmp2=NULL;
	gPicture *ret=NULL;
	gchar **buf;
	long size;
	long r_type;
	bool adapt=false;
	char *stock_icon;
	
	if (!vl) return NULL;
	if (!strlen(vl)) return NULL;
	
	buf=g_strsplit((const gchar*)vl,"/",2);
	
	if (!buf[0]) { g_strfreev(buf); return NULL; }
	if (!buf[1]) { g_strfreev(buf); return NULL; }
	
	size=strtol(buf[0],NULL,10);
	if (errno)
	{
	  if     (!strcasecmp(buf[0],"menu"))         { size=16; r_type=GTK_ICON_SIZE_MENU;}
	  else if(!strcasecmp(buf[0],"smalltoolbar")) { size=20; r_type=GTK_ICON_SIZE_SMALL_TOOLBAR;}
	  else if(!strcasecmp(buf[0],"largetoolbar")) { size=24; r_type=GTK_ICON_SIZE_LARGE_TOOLBAR;}
	  else if(!strcasecmp(buf[0],"button"))       { size=20; r_type=GTK_ICON_SIZE_BUTTON;}
	  else if(!strcasecmp(buf[0],"dnd"))          { size=32; r_type=GTK_ICON_SIZE_DND;}
	  else if(!strcasecmp(buf[0],"dialog"))       { size=48; r_type=GTK_ICON_SIZE_DIALOG;}
	}
	else
	{
		if (size<1) size=1;
		if (size>128) size=128;
		
		if      (size<=16) r_type=GTK_ICON_SIZE_MENU;
		else if (size<=20) r_type=GTK_ICON_SIZE_SMALL_TOOLBAR;
		else if (size<=24) r_type=GTK_ICON_SIZE_LARGE_TOOLBAR;
		else if (size<=32) r_type=GTK_ICON_SIZE_DND;
		else               r_type=GTK_ICON_SIZE_DIALOG;
		
		adapt=true;
	}
	
	gStock_parse(buf[1],&stock_icon);
	if (stock_icon)
	{
		item=gtk_icon_factory_lookup_default (stock_icon);
		if (!item)
		{ 
			g_strfreev(buf);
			return NULL;
		}	
		tmp=new gImage(0,0);
		
		style=gtk_widget_get_default_style();
	    tmp->image=gtk_icon_set_render_icon(item,style, \
		                                    gtk_widget_get_default_direction(), \
		                                    GTK_STATE_NORMAL,(GtkIconSize)r_type,NULL,NULL);
		
		gtk_icon_set_unref (item);
	}
	else
	{
		tmp=gStock_missing(buf[1]);
		adapt=true;
	}
	
	g_strfreev(buf);
	if (!tmp) return NULL;
	
	if (adapt)
	{
		tmp2=tmp->stretch(size,size,true);
		delete tmp;
		tmp=tmp2;
	}
	
	ret=tmp->getPicture();
	delete tmp;
	
	return ret;
}


