/***************************************************************************

  GLconstants.c

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 1, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

***************************************************************************/

#define __GLCONSTANTS_C

#include "gambas.h"
#include "gb_common.h"
#include "main.h"

#include "GLconstants.h"

#include <GL/gl.h>
#include <GL/glu.h>

/**************************************************************************

  GL_xxxxx constants

***************************************************************************/

GB_DESC CglConstants[] =
{
	GB_DECLARE("GLconst",0), GB_VIRTUAL_CLASS(),
	
	/* Lighting */
	GB_CONSTANT("SMOOTH",	"i", GL_SMOOTH),
	GB_CONSTANT("FLAT",		"i", GL_FLAT),
	
	/*glPush/PopAttrib bits */
	GB_CONSTANT("COLOR_BUFFER_BIT",		"i", GL_COLOR_BUFFER_BIT),
	GB_CONSTANT("DEPTH_BUFFER_BIT",		"i", GL_DEPTH_BUFFER_BIT),
	GB_CONSTANT("ACCUM_BUFFER_BIT",		"i", GL_ACCUM_BUFFER_BIT),
	GB_CONSTANT("STENCIL_BUFFER_BIT",	"i", GL_STENCIL_BUFFER_BIT),

	/* various */
	GB_CONSTANT("DEPTH_TEST",	"i", GL_DEPTH_TEST),
	GB_CONSTANT("CULL_FACE",	"i", GL_CULL_FACE),
	GB_CONSTANT("NORMALIZE",	"i", GL_NORMALIZE),
	GB_CONSTANT("LIGHTING",		"i", GL_LIGHTING),


	GB_END_DECLARE
};

/***************************************************************************/

GB_DESC CBeginConsts[] =
{
	GB_DECLARE("Begin",0), GB_VIRTUAL_CLASS(),
	GB_CONSTANT("Points", 			"i", GL_POINTS),
	GB_CONSTANT("Lines", 			"i", GL_LINES),
	GB_CONSTANT("LineLoop", 		"i", GL_LINE_LOOP),
	GB_CONSTANT("LineStrip", 		"i", GL_LINE_STRIP),
	GB_CONSTANT("Triangles", 		"i", GL_TRIANGLES),
	GB_CONSTANT("TriangleStrip", 	"i", GL_TRIANGLE_STRIP),
	GB_CONSTANT("TriangleFan", 		"i", GL_TRIANGLE_FAN),
	GB_CONSTANT("Quads", 			"i", GL_QUADS),
	GB_CONSTANT("QuadStrip", 		"i", GL_QUAD_STRIP),
	GB_CONSTANT("Polygon", 			"i", GL_POLYGON),
	GB_END_DECLARE
};

GB_DESC CMatrixModeConsts[] =
{
	GB_DECLARE("MatrixMode",0), GB_VIRTUAL_CLASS(),
	GB_CONSTANT("Modelview",	"i", GL_MODELVIEW),
	GB_CONSTANT("Projection",	"i", GL_PROJECTION),
	GB_CONSTANT("Texture",		"i", GL_TEXTURE),
	GB_END_DECLARE
};

GB_DESC CHintConsts[] =
{
	GB_DECLARE("Hint",0), GB_VIRTUAL_CLASS(),
	GB_CONSTANT("Fastest",	"i", GL_FASTEST),
	GB_CONSTANT("Nicest",	"i", GL_NICEST),
	GB_CONSTANT("DontCare",	"i", GL_DONT_CARE),
	GB_END_DECLARE
};

GB_DESC CShadeModelConsts[] =
{
	GB_DECLARE("ShadeModel",0), GB_VIRTUAL_CLASS(),
	GB_CONSTANT("Flat",   "i", GL_FLAT),
	GB_CONSTANT("Smooth", "i", GL_SMOOTH),
	GB_END_DECLARE
};

GB_DESC CDepthConsts[] =
{
	GB_DECLARE("Depth",0), GB_VIRTUAL_CLASS(),
	GB_CONSTANT("Never",	"i", GL_NEVER),
	GB_CONSTANT("Less",		"i", GL_LESS),
	GB_CONSTANT("Equal",	"i", GL_EQUAL),
	GB_CONSTANT("LEqual",	"i", GL_LEQUAL),
	GB_CONSTANT("Greater",	"i", GL_GREATER),
	GB_CONSTANT("NotEqual",	"i", GL_NOTEQUAL),
	GB_CONSTANT("GEqual",	"i", GL_GEQUAL),
	GB_CONSTANT("Always",	"i", GL_ALWAYS),
	GB_END_DECLARE
};

GB_DESC CClearConsts[] =
{
	GB_DECLARE("Clear",0), GB_VIRTUAL_CLASS(),
	GB_CONSTANT("ColorBuffer",	"i", GL_COLOR_BUFFER_BIT),
	GB_CONSTANT("DepthBuffer",	"i", GL_DEPTH_BUFFER_BIT),
	GB_CONSTANT("AccumBuffer",	"i", GL_ACCUM_BUFFER_BIT),
	GB_CONSTANT("StencilBuffer","i", GL_STENCIL_BUFFER_BIT),
	GB_END_DECLARE
};
