/***************************************************************************

  GLdisplayList.c

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 1, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

***************************************************************************/

#define __GLDISPLAYLIST_C

#include "gambas.h"
#include "gb_common.h"
#include "main.h"

#include "GLdisplayList.h"

#include <GL/gl.h>
#include <GL/glu.h>

/**************************************************************************

  glDisplayList = glNewList/glEndList/...

***************************************************************************/

BEGIN_METHOD_VOID(GLDISPLAYLIST_new)
	
END_METHOD

BEGIN_METHOD_VOID(GLDISPLAYLIST_free)

	if (INDEX)
		glDeleteLists(INDEX, 1);
	
END_METHOD

BEGIN_METHOD(GLDISPLAYLIST_begin, GB_BOOLEAN execute)

	if (!INDEX)
		INDEX = glGenLists(1);

	glNewList(INDEX ,(VARG(execute) ? GL_COMPILE_AND_EXECUTE : GL_COMPILE));
	
END_METHOD

BEGIN_METHOD_VOID(GLDISPLAYLIST_end)

	if (INDEX)
		glEndList();
	
END_METHOD

BEGIN_METHOD_VOID(GLDISPLAYLIST_call)

	if (INDEX)
		glCallList(INDEX);
	
END_METHOD

GB_DESC CglDisplayList[] =
{
	GB_DECLARE("glDisplayList", sizeof(CDISPLAYLIST)),
	GB_METHOD("_new", NULL, GLDISPLAYLIST_new, NULL),
	GB_METHOD("_free", NULL, GLDISPLAYLIST_free, NULL),

	GB_METHOD("Begin", NULL, GLDISPLAYLIST_begin, "(Execute)b"),
	GB_METHOD("End", NULL, GLDISPLAYLIST_end, NULL),
	GB_METHOD("Call", NULL, GLDISPLAYLIST_call, NULL),
	
	GB_END_DECLARE
};
