/***************************************************************************

  GLframeBufferOps.h

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 1, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

***************************************************************************/

#ifndef __GLFRAMEBUFFEROPS_H
#define __GLFRAMEBUFFEROPS_H

#include "gambas.h"
#include "main.h"

#include <GL/gl.h>

BEGIN_PROPERTY(GLDEPTHFUNC)

	if (READ_PROPERTY)
	{
		GLint param = 0;
		
		glGetIntegerv(GL_DEPTH_FUNC, &param);
		GB.ReturnInteger(param);
	}
	else
		glDepthFunc(VPROP(GB_INTEGER));

END_PROPERTY

BEGIN_PROPERTY(GLDEPTHTEST)

	if (READ_PROPERTY)
		GB.ReturnBoolean(glIsEnabled(GL_DEPTH_TEST));
	{
		if (VPROP(GB_BOOLEAN))
			glEnable(GL_DEPTH_TEST);
		else
			glDisable(GL_DEPTH_TEST);
	}
	
END_PROPERTY

BEGIN_PROPERTY(GLDEPTHMASK)

	if (READ_PROPERTY)
	{
		GLboolean param = 0;
		
		glGetBooleanv(GL_DEPTH_WRITEMASK, &param);
		GB.ReturnBoolean(param);
	}
	else
		glDepthMask(VPROP(GB_BOOLEAN));
	
END_PROPERTY

BEGIN_METHOD(GLCLEAR, GB_INTEGER mask)

	glClear(VARG(mask));
  
END_METHOD

BEGIN_METHOD(GLCLEARCOLOR, GB_FLOAT red; GB_FLOAT green; GB_FLOAT blue; GB_FLOAT alpha)

	glClearColor(VARG(red), VARG(green), VARG(blue), VARG(alpha));
		
END_METHOD

BEGIN_METHOD(GLCLEARACCUM, GB_FLOAT red; GB_FLOAT green; GB_FLOAT blue; GB_FLOAT alpha)

	glClearAccum(VARG(red), VARG(green), VARG(blue), VARG(alpha));
		
END_METHOD

BEGIN_METHOD(GLCLEARDEPTH, GB_FLOAT depth)

	glClearDepth(VARG(depth));
		
END_METHOD

BEGIN_METHOD(GLCLEARINDEX, GB_FLOAT value)

	glClearIndex(VARG(value));
		
END_METHOD

BEGIN_METHOD(GLCLEARSTENCIL, GB_INTEGER value)

	glClearStencil(VARG(value));
		
END_METHOD

#endif /* __GLFRAMEBUFFEROPS_H */
