/***************************************************************************

  GLmodesExec.c

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 1, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

***************************************************************************/

#define __GLMODESEXEC_C

#include "gambas.h"
#include "gb_common.h"
#include "main.h"

#include <GL/gl.h>

/**************************************************************************/

BEGIN_PROPERTY(GLHINT_fog)

	if (READ_PROPERTY)
		return;

	glHint(GL_FOG_HINT, VPROP(GB_INTEGER));
  
END_METHOD

BEGIN_PROPERTY(GLHINT_linesmooth)

	if (READ_PROPERTY)
		return;

	glHint(GL_LINE_SMOOTH_HINT, VPROP(GB_INTEGER));
  
END_METHOD

BEGIN_PROPERTY(GLHINT_perspcorrect)

	if (READ_PROPERTY)
		return;

	glHint(GL_PERSPECTIVE_CORRECTION_HINT, VPROP(GB_INTEGER));
  
END_METHOD

BEGIN_PROPERTY(GLHINT_pointsmooth)

	if (READ_PROPERTY)
		return;

	glHint(GL_POINT_SMOOTH_HINT, VPROP(GB_INTEGER));
  
END_METHOD

BEGIN_PROPERTY(GLHINT_polygonsmooth)

	if (READ_PROPERTY)
		return;

	glHint(GL_POLYGON_SMOOTH_HINT, VPROP(GB_INTEGER));
  
END_METHOD

GB_DESC CglHint[] =
{
	GB_DECLARE(".Hint",0), GB_VIRTUAL_CLASS(),
	GB_STATIC_PROPERTY("Fog", "i", GLHINT_fog),
	GB_STATIC_PROPERTY("LineSmooth", "i", GLHINT_linesmooth),
	GB_STATIC_PROPERTY("PerspectiveCorrection", "i", GLHINT_perspcorrect),
	GB_STATIC_PROPERTY("PointSmooth", "i", GLHINT_pointsmooth),
	GB_STATIC_PROPERTY("PolygonSmooth", "i", GLHINT_polygonsmooth),
	GB_END_DECLARE
};
