/***************************************************************************

  GLrasterization.h

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 1, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

***************************************************************************/

#ifndef __GLRASTERIZATION_H
#define __GLRASTERIZATION_H

#include "gambas.h"
#include "gb_common.h"
#include "main.h"

#include <GL/gl.h>

/**************************************************************************/

BEGIN_PROPERTY(GLCULLFACE)

	if (READ_PROPERTY)
		GB.ReturnBoolean(glIsEnabled(GL_CULL_FACE));
	else
	{
		if (VPROP(GB_BOOLEAN))
			glEnable(GL_CULL_FACE);
		else
			glDisable(GL_CULL_FACE);
	}

END_PROPERTY

BEGIN_PROPERTY(GLLINEWIDTH)

	if (READ_PROPERTY)
	{
		GLfloat param = 0;

		glGetFloatv(GL_LINE_WIDTH, &param);
		GB.ReturnFloat(param);
	}
	else
		glLineWidth(VPROP(GB_FLOAT));
  
END_PROPERTY

BEGIN_PROPERTY(GLPOINTSIZE)

	if (READ_PROPERTY)
	{
		GLfloat param = 0;

		glGetFloatv(GL_POINT_SIZE, &param);
		GB.ReturnFloat(param);
	}
	else
		glPointSize(VPROP(GB_FLOAT));
  
END_PROPERTY

#endif /* __GLRASTERIZATION_H */
