/***************************************************************************

  driver.c

  Gambas extension using SDL

  (c) 2004-2005 Laurent Carlier <lordheavy@infonie.fr>
                Benot Minisini <gambas@users.sourceforge.net>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 1, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

***************************************************************************/

#define __DRIVER_C

#include <stdlib.h>

#include "gambas.h"
#include "main.h"
#include "screen.h"

#include "driver.h"
#include "SDL.h"
#include "SDL_opengl.h"

/* fill the videoinfo struct before opening a videomode (grab best video values) */

BEGIN_METHOD_VOID(DRIVER_init)

	DriverInfo = SDL_GetVideoInfo();
  
END_METHOD

BEGIN_PROPERTY(DRIVER_driver)

	char driver[255];

	if (SDL_VideoDriverName((char *) driver, sizeof(driver)))
		GB.ReturnNewZeroString((char *) &driver);
	else
		GB.Error("DRIVERINFO_driver, SDL error ! : &1", SDL_GetError());

END_PROPERTY

BEGIN_PROPERTY(DRIVER_screendepth)
  
	GB.ReturnInteger((int ) DriverInfo->vfmt->BitsPerPixel);

END_PROPERTY

BEGIN_PROPERTY(DRIVER_vendor)

	if (MainScreen)
		GB.ReturnNewZeroString((char *) glGetString(GL_VENDOR));

END_PROPERTY

BEGIN_PROPERTY(DRIVER_renderer)

	if (MainScreen)
		GB.ReturnNewZeroString((char *) glGetString(GL_RENDERER));

END_PROPERTY

BEGIN_PROPERTY(DRIVER_version)

	if (MainScreen)
		GB.ReturnNewZeroString(glGetString(GL_VERSION));

END_PROPERTY

/***************************************************************************

  Dclarations

***************************************************************************/

GB_DESC Cdriver[] =
{
	GB_DECLARE("Driver",0), GB_NOT_CREATABLE(),
	
	GB_STATIC_METHOD("_init", NULL, DRIVER_init, NULL),

	GB_STATIC_PROPERTY_READ("Name",        "s", DRIVER_driver),
	GB_STATIC_PROPERTY_READ("ScreenDepth", "i", DRIVER_screendepth),
	GB_STATIC_PROPERTY_READ("Vendor",      "s", DRIVER_vendor),
	GB_STATIC_PROPERTY_READ("Renderer",    "s", DRIVER_renderer),
	GB_STATIC_PROPERTY_READ("Version",     "s", DRIVER_version),

	GB_END_DECLARE
};
