/***************************************************************************

  screen.h

  The SDL component

  (c) 2004-2005 Laurent Carlier <lordheavy@infonie.fr>
                Benot Minisini <gambas@users.sourceforge.net>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 1, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

***************************************************************************/

#ifndef __SCREEN_H
#define __SCREEN_H

#include "main.h"

typedef
  struct {
	void *hiddenObject;			/* hidden Object :) (for events) */
    SDL_Surface *id;			/* id of the main screen */
	Uint32 flags;				/* wanted flags for the screen */
	Uint32 border;				/* wanted flags for the border */
    Uint16 width, height;		/* width and height of the screen (for resize) */
    char *Wname;				/* name of the window (only with of WM of course !) */
    float Gred, Ggreen, Gblue;	/* the gamma value of the screen (only in fullscreen */
    int fullscreen;				/* fullscreen mode (only with a WM) */
    int WantQuit;				/* Want to quit */
    int RetVal;					/* Returned value when exit */
  }
  Mscreen;

typedef
  struct {
    GB_BASE ob;
    }
  CSCREEN;

#ifndef __SCREEN_C
extern GB_DESC Cscreen[];
#endif /* __SCREEN_C */

Mscreen *mScreen;
#define MainScreen mScreen->id
void refresh(void);
	
#ifndef __SCREEN_C
extern
#endif
long
EVENT_Refresh,
EVENT_Close,
EVENT_Resize,
EVENT_GotFocus,
EVENT_LostFocus,
EVENT_Enter,
EVENT_Leave,
EVENT_MouseDown,
EVENT_MouseUp,
EVENT_MouseMove,
EVENT_KeyPressed,
EVENT_KeyReleased;

#endif /* __SCREEN_H */
