/***************************************************************************

  joystick.c

  Gambas extension using SDL

  (c) 2004,2005 Laurent Carlier <lordheavy@infonie.fr>
                Benoît Minisini <gambas@users.sourceforge.net>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 1, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

***************************************************************************/
 
#define __JOYSTICK_C

#include "main.h"
#include "joystick.h"

#include "SDL.h"

/***************************************************************************

  JOYSTICKS - detect available joysticks

***************************************************************************/

BEGIN_METHOD(JOYSTICKS_get, GB_INTEGER index)

  int numjoy = SDL_NumJoysticks();

  if (numjoy==0)
  {
    GB.Error("no Joystick found !");
    return;
  }

  if (VARG(index)>numjoy || VARG(index)<numjoy)
  {
    GB.Error("Joystick not available !");
    return;
  }

  GB.ReturnConstZeroString(SDL_JoystickName(VARG(index)-1));

END_METHOD

BEGIN_PROPERTY(JOYSTICKS_count)

  GB.ReturnInteger(SDL_NumJoysticks());

END_METHOD
 
/**************************************************************************/

GB_DESC Cqueryjoy[] =
{
  GB_DECLARE("Joysticks", 0), GB_VIRTUAL_CLASS(),

  GB_STATIC_METHOD("_get", "s", JOYSTICKS_get, "(Index)i"),
  GB_STATIC_PROPERTY_READ("Count", "i",  JOYSTICKS_count),

  GB_END_DECLARE
};
